uuid: a47dd9a8-a8f8-4432-b450-8e8b65b1764b
langcode: en
status: true
dependencies:
  config:
    - field.storage.taxonomy_term.field_description
    - field.storage.taxonomy_term.field_title
    - search_api.index.course_index
    - taxonomy.vocabulary.academic_level
    - taxonomy.vocabulary.class_format
    - taxonomy.vocabulary.subject
  module:
    - search_api
    - taxonomy
id: course_search
label: Courses
module: views
description: ''
tag: ''
base_table: search_api_index_course_index
base_field: search_api_id
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Course Catalog'
      fields:
        name:
          id: name
          table: search_api_index_course_index
          field: name
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_field
          label: Course
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: courses-course-column
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: true
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
        field_title:
          id: field_title
          table: search_api_index_course_index
          field: field_title
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_field
          label: Name
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: courses-name-column
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
        field_description:
          id: field_description
          table: search_api_index_course_index
          field: field_description
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: null
          entity_field: null
          plugin_id: search_api_field
          label: Description
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: basic_string
          settings: {  }
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
      pager:
        type: full
        options:
          offset: 0
          items_per_page: 30
          total_pages: null
          id: 0
          tags:
            next: ››
            previous: ‹‹
            first: '« First'
            last: 'Last »'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 9
          pagination_heading_level: h4
      exposed_form:
        type: basic
        options:
          submit_button: Search
          reset_button: true
          reset_button_label: Clear
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: none
        options: {  }
      cache:
        type: search_api_none
        options: {  }
      empty:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: text
          empty: true
          content:
            value: '<span class="durhamtech-noresults">No courses were found matching your search criteria. Please refine the search parameters.</span>'
            format: basic_html
          tokenize: false
      sorts:
        name:
          id: name
          table: search_api_index_course_index
          field: name
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
      arguments: {  }
      filters:
        field_title:
          id: field_title
          table: search_api_index_course_index
          field: field_title
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_text
          operator: '='
          value:
            min: ''
            max: ''
            value: ''
          group: 1
          exposed: true
          expose:
            operator_id: field_title_op
            label: 'Course Name'
            description: ''
            use_operator: false
            operator: field_title_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_title
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
              site_administrator: '0'
              editor: '0'
              author: '0'
              blogger: '0'
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        field_subject:
          id: field_subject
          table: search_api_index_course_index
          field: field_subject
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_subject_op
            label: 'Course Subject'
            description: ''
            use_operator: false
            operator: field_subject_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: subject
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
              site_administrator: '0'
              editor: '0'
              author: '0'
              blogger: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: subject
          type: select
          hierarchy: false
          limit: true
          error_message: true
        tid:
          id: tid
          table: search_api_index_course_index
          field: tid
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_numeric
          operator: '='
          value:
            min: ''
            max: ''
            value: ''
          group: 1
          exposed: true
          expose:
            operator_id: tid_op
            label: 'Course Number'
            description: ''
            use_operator: false
            operator: tid_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: course_number
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
              site_administrator: '0'
              editor: '0'
              author: '0'
              blogger: '0'
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        field_class_format:
          id: field_class_format
          table: search_api_index_course_index
          field: field_class_format
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_class_format_op
            label: 'Class Format'
            description: ''
            use_operator: false
            operator: field_class_format_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: format
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
              site_administrator: '0'
              editor: '0'
              author: '0'
              blogger: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: class_format
          type: select
          hierarchy: false
          limit: true
          error_message: true
        field_location:
          id: field_location
          table: search_api_index_course_index
          field: field_location
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_options
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_location_op
            label: Location
            description: ''
            use_operator: false
            operator: field_location_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: location
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
              site_administrator: '0'
              editor: '0'
              author: '0'
              blogger: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
        field_academic_level:
          id: field_academic_level
          table: search_api_index_course_index
          field: field_academic_level
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_academic_level_op
            label: 'Credit Type'
            description: ''
            use_operator: false
            operator: field_academic_level_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: academic_level
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
              site_administrator: '0'
              editor: '0'
              author: '0'
              blogger: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: academic_level
          type: select
          hierarchy: false
          limit: true
          error_message: true
        field_class_count:
          id: field_class_count
          table: search_api_index_course_index
          field: field_class_count
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_numeric
          operator: 'not empty'
          value:
            min: ''
            max: ''
            value: ''
          group: 1
          exposed: true
          expose:
            operator_id: field_class_count_op
            label: 'Class Count'
            description: ''
            use_operator: false
            operator: field_class_count_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_class_count
            required: false
            remember: false
            multiple: true
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            min_placeholder: ''
            max_placeholder: ''
            placeholder: ''
          is_grouped: true
          group_info:
            label: ' '
            description: ''
            identifier: field_class_count
            optional: true
            widget: radios
            multiple: true
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items:
              1:
                title: 'Upcoming Classes Only'
                operator: 'not empty'
                value:
                  min: ''
                  max: ''
                  value: ''
      filter_groups:
        operator: AND
        groups:
          1: AND
      style:
        type: default
        options:
          grouping: {  }
          row_class: ''
          default_row_class: true
      row:
        type: search_api
        options:
          view_modes:
            'entity:taxonomy_term':
              course: course_search
      query:
        type: search_api_query
        options:
          bypass_access: false
          skip_access: false
      relationships:
        field_class_format:
          id: field_class_format
          table: search_api_datasource_course_index_entity_taxonomy_term
          field: field_class_format
          relationship: none
          group_type: group
          admin_label: 'Class Format: Taxonomy term'
          entity_type: taxonomy_term
          plugin_id: search_api
          required: false
          skip_access: false
      use_ajax: true
      header:
        result:
          id: result
          table: views
          field: result
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: result
          empty: false
          content: '<span class="durhamtech-results durhamtech-results-@total">We found @total course<em>s</em> matching your search criteria.</span>'
      footer:
        result:
          id: result
          table: views
          field: result
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: result
          empty: false
          content: '<span class="durhamtech-results durhamtech-results-@total">Showing @start - @end of @total course<em>s</em> matching your search criteria.</span>'
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
      tags:
        - 'config:field.storage.taxonomy_term.field_description'
        - 'config:field.storage.taxonomy_term.field_title'
        - 'config:search_api.index.course_index'
        - 'search_api_list:course_index'
  page_1:
    id: page_1
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      exposed_block: true
      display_extenders:
        ajax_history:
          enable_history: true
        metatag_display_extender:
          metatags:
            description: "Browse Durham Tech's extensive course catalog to find the ideal program. From diverse disciplines to specialized fields, accelerate your future today."
          tokenize: false
      path: courses
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
      tags:
        - 'config:field.storage.taxonomy_term.field_description'
        - 'config:field.storage.taxonomy_term.field_title'
        - 'config:search_api.index.course_index'
        - 'search_api_list:course_index'
